1# Makefile.in generated by automake 1.10 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Copyright (C) 2004-2006 Free Software Foundation, Inc.
18#
19# This file is free software, distributed under the terms of the GNU
20# General Public License.  As a special exception to the GNU General
21# Public License, this file may be distributed as part of a program
22# that contains a configuration script generated by Autoconf, under
23# the same distribution terms as the rest of that program.
24#
25# Generated by gnulib-tool.
26# Reproduce by: gnulib-tool --import --dir=gettext-tools --local-dir=gnulib-local --lib=libgnu --source-base=libgettextpo --m4-base=libgettextpo/gnulib-m4 --doc-base=doc --aux-dir=../build-aux --makefile_name=Makefile.gnulib --libtool --macro-prefix=gtpo basename c-ctype c-strcase c-strstr error error-progname exit fstrcmp fwriteerror gcd getline gettext-h gettext-tools-libgettextpo-misc hash iconv linebreak minmax pathname progname stdbool ucs4-utf8 unlocked-io utf16-ucs4 utf8-ucs4 vasprintf xalloc xallocsa xerror xstriconv xvasprintf
27
28
29VPATH = @srcdir@
30pkgdatadir = $(datadir)/@PACKAGE@
31pkglibdir = $(libdir)/@PACKAGE@
32pkgincludedir = $(includedir)/@PACKAGE@
33am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
34install_sh_DATA = $(install_sh) -c -m 644
35install_sh_PROGRAM = $(install_sh) -c
36install_sh_SCRIPT = $(install_sh) -c
37INSTALL_HEADER = $(INSTALL_DATA)
38transform = $(program_transform_name)
39NORMAL_INSTALL = :
40PRE_INSTALL = :
41POST_INSTALL = :
42NORMAL_UNINSTALL = :
43PRE_UNINSTALL = :
44POST_UNINSTALL = :
45build_triplet = @build@
46host_triplet = @host@
47
48# Tell the mingw or Cygwin linker which symbols to export.
49@WOE32DLL_TRUE@am__append_1 = ../woe32dll/gettextpo-exports.c
50@WOE32DLL_TRUE@am__append_2 = -Wl,--export-all-symbols
51DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.gnulib \
52	$(srcdir)/Makefile.in $(srcdir)/exported.sh.in ChangeLog
53@GL_COND_LIBTOOL_TRUE@am__append_3 = $(LTLIBICONV)
54subdir = libgettextpo
55ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
56am__aclocal_m4_deps =  \
57	$(top_srcdir)/libgettextpo/gnulib-m4/gnulib-comp.m4 \
58	$(top_srcdir)/gnulib-m4/absolute-header.m4 \
59	$(top_srcdir)/gnulib-m4/alloca.m4 \
60	$(top_srcdir)/gnulib-m4/allocsa.m4 \
61	$(top_srcdir)/gnulib-m4/argmatch.m4 \
62	$(top_srcdir)/gnulib-m4/atexit.m4 \
63	$(top_srcdir)/gnulib-m4/backupfile.m4 \
64	$(top_srcdir)/gnulib-m4/bison-i18n.m4 \
65	$(top_srcdir)/gnulib-m4/byteswap.m4 \
66	$(top_srcdir)/gnulib-m4/canonicalize.m4 \
67	$(top_srcdir)/gnulib-m4/copy-file.m4 \
68	$(top_srcdir)/gnulib-m4/csharp.m4 \
69	$(top_srcdir)/gnulib-m4/csharpcomp.m4 \
70	$(top_srcdir)/gnulib-m4/csharpexec.m4 \
71	$(top_srcdir)/gnulib-m4/eaccess.m4 \
72	$(top_srcdir)/gnulib-m4/eealloc.m4 \
73	$(top_srcdir)/gnulib-m4/error.m4 \
74	$(top_srcdir)/gnulib-m4/execute.m4 \
75	$(top_srcdir)/gnulib-m4/exitfail.m4 \
76	$(top_srcdir)/gnulib-m4/extensions.m4 \
77	$(top_srcdir)/gnulib-m4/fatal-signal.m4 \
78	$(top_srcdir)/gnulib-m4/findprog.m4 \
79	$(top_srcdir)/gnulib-m4/fnmatch.m4 \
80	$(top_srcdir)/gnulib-m4/gcj.m4 \
81	$(top_srcdir)/gnulib-m4/getdelim.m4 \
82	$(top_srcdir)/gnulib-m4/getline.m4 \
83	$(top_srcdir)/gnulib-m4/getopt.m4 \
84	$(top_srcdir)/gnulib-m4/gl_list.m4 \
85	$(top_srcdir)/gnulib-m4/gnulib-comp.m4 \
86	$(top_srcdir)/gnulib-m4/hard-locale.m4 \
87	$(top_srcdir)/gnulib-m4/java.m4 \
88	$(top_srcdir)/gnulib-m4/javacomp.m4 \
89	$(top_srcdir)/gnulib-m4/javaexec.m4 \
90	$(top_srcdir)/gnulib-m4/linebreak.m4 \
91	$(top_srcdir)/gnulib-m4/localcharset.m4 \
92	$(top_srcdir)/gnulib-m4/mbchar.m4 \
93	$(top_srcdir)/gnulib-m4/mbiter.m4 \
94	$(top_srcdir)/gnulib-m4/mbrtowc.m4 \
95	$(top_srcdir)/gnulib-m4/mbstate_t.m4 \
96	$(top_srcdir)/gnulib-m4/mbswidth.m4 \
97	$(top_srcdir)/gnulib-m4/memchr.m4 \
98	$(top_srcdir)/gnulib-m4/memmove.m4 \
99	$(top_srcdir)/gnulib-m4/memset.m4 \
100	$(top_srcdir)/gnulib-m4/minmax.m4 \
101	$(top_srcdir)/gnulib-m4/mkdtemp.m4 \
102	$(top_srcdir)/gnulib-m4/onceonly_2_57.m4 \
103	$(top_srcdir)/gnulib-m4/pathmax.m4 \
104	$(top_srcdir)/gnulib-m4/pipe.m4 \
105	$(top_srcdir)/gnulib-m4/quote.m4 \
106	$(top_srcdir)/gnulib-m4/quotearg.m4 \
107	$(top_srcdir)/gnulib-m4/readlink.m4 \
108	$(top_srcdir)/gnulib-m4/relocatable.m4 \
109	$(top_srcdir)/gnulib-m4/safe-read.m4 \
110	$(top_srcdir)/gnulib-m4/safe-write.m4 \
111	$(top_srcdir)/gnulib-m4/setenv.m4 \
112	$(top_srcdir)/gnulib-m4/sig_atomic_t.m4 \
113	$(top_srcdir)/gnulib-m4/signalblocking.m4 \
114	$(top_srcdir)/gnulib-m4/ssize_t.m4 \
115	$(top_srcdir)/gnulib-m4/stdarg.m4 \
116	$(top_srcdir)/gnulib-m4/stdbool.m4 \
117	$(top_srcdir)/gnulib-m4/stdint.m4 \
118	$(top_srcdir)/gnulib-m4/stpcpy.m4 \
119	$(top_srcdir)/gnulib-m4/stpncpy.m4 \
120	$(top_srcdir)/gnulib-m4/strcspn.m4 \
121	$(top_srcdir)/gnulib-m4/strdup.m4 \
122	$(top_srcdir)/gnulib-m4/strerror.m4 \
123	$(top_srcdir)/gnulib-m4/strpbrk.m4 \
124	$(top_srcdir)/gnulib-m4/strstr.m4 \
125	$(top_srcdir)/gnulib-m4/strtol.m4 \
126	$(top_srcdir)/gnulib-m4/strtoul.m4 \
127	$(top_srcdir)/gnulib-m4/tls.m4 \
128	$(top_srcdir)/gnulib-m4/tmpdir.m4 \
129	$(top_srcdir)/gnulib-m4/ucs4-utf.m4 \
130	$(top_srcdir)/gnulib-m4/unionwait.m4 \
131	$(top_srcdir)/gnulib-m4/unistd_h.m4 \
132	$(top_srcdir)/gnulib-m4/unlocked-io.m4 \
133	$(top_srcdir)/gnulib-m4/utf-ucs4.m4 \
134	$(top_srcdir)/gnulib-m4/vasprintf.m4 \
135	$(top_srcdir)/gnulib-m4/wait-process.m4 \
136	$(top_srcdir)/gnulib-m4/wcwidth.m4 \
137	$(top_srcdir)/gnulib-m4/xreadlink.m4 \
138	$(top_srcdir)/gnulib-m4/xvasprintf.m4 \
139	$(top_srcdir)/../m4/fixautomake.m4 \
140	$(top_srcdir)/../m4/libtool.m4 \
141	$(top_srcdir)/../m4/woe32-dll.m4 \
142	$(top_srcdir)/../autoconf-lib-link/m4/lib-ld.m4 \
143	$(top_srcdir)/../autoconf-lib-link/m4/lib-link.m4 \
144	$(top_srcdir)/../autoconf-lib-link/m4/lib-prefix.m4 \
145	$(top_srcdir)/../gettext-runtime/m4/ansi-c++.m4 \
146	$(top_srcdir)/../gettext-runtime/m4/codeset.m4 \
147	$(top_srcdir)/../gettext-runtime/m4/gettext.m4 \
148	$(top_srcdir)/../gettext-runtime/m4/glibc2.m4 \
149	$(top_srcdir)/../gettext-runtime/m4/glibc21.m4 \
150	$(top_srcdir)/../gettext-runtime/m4/iconv.m4 \
151	$(top_srcdir)/../gettext-runtime/m4/intdiv0.m4 \
152	$(top_srcdir)/../gettext-runtime/m4/intl.m4 \
153	$(top_srcdir)/../gettext-runtime/m4/intmax.m4 \
154	$(top_srcdir)/../gettext-runtime/m4/inttypes-pri.m4 \
155	$(top_srcdir)/../gettext-runtime/m4/inttypes_h.m4 \
156	$(top_srcdir)/../gettext-runtime/m4/lcmessage.m4 \
157	$(top_srcdir)/../gettext-runtime/m4/lock.m4 \
158	$(top_srcdir)/../gettext-runtime/m4/longdouble.m4 \
159	$(top_srcdir)/../gettext-runtime/m4/longlong.m4 \
160	$(top_srcdir)/../gettext-runtime/m4/nls.m4 \
161	$(top_srcdir)/../gettext-runtime/m4/po.m4 \
162	$(top_srcdir)/../gettext-runtime/m4/printf-posix.m4 \
163	$(top_srcdir)/../gettext-runtime/m4/progtest.m4 \
164	$(top_srcdir)/../gettext-runtime/m4/size_max.m4 \
165	$(top_srcdir)/../gettext-runtime/m4/stdint_h.m4 \
166	$(top_srcdir)/../gettext-runtime/m4/uintmax_t.m4 \
167	$(top_srcdir)/../gettext-runtime/m4/ulonglong.m4 \
168	$(top_srcdir)/../gettext-runtime/m4/visibility.m4 \
169	$(top_srcdir)/../gettext-runtime/m4/wchar_t.m4 \
170	$(top_srcdir)/../gettext-runtime/m4/wint_t.m4 \
171	$(top_srcdir)/../gettext-runtime/m4/xsize.m4 \
172	$(top_srcdir)/m4/hostname.m4 $(top_srcdir)/m4/libgrep.m4 \
173	$(top_srcdir)/m4/locale-fr.m4 $(top_srcdir)/m4/openmp.m4 \
174	$(top_srcdir)/m4/regex.m4 $(top_srcdir)/m4/setlocale.m4 \
175	$(top_srcdir)/m4/siginfo.m4 $(top_srcdir)/configure.ac
176am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
177	$(ACLOCAL_M4)
178mkinstalldirs = $(SHELL) $(top_srcdir)/../build-aux/mkinstalldirs
179CONFIG_HEADER = $(top_builddir)/config.h
180CONFIG_CLEAN_FILES = exported.sh
181am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
182am__vpath_adj = case $$p in \
183    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
184    *) f=$$p;; \
185  esac;
186am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
187am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"
188libLTLIBRARIES_INSTALL = $(INSTALL)
189LTLIBRARIES = $(lib_LTLIBRARIES) $(noinst_LTLIBRARIES)
190libgettextpo_la_DEPENDENCIES = libgnu.la
191am__libgettextpo_la_SOURCES_DIST = gettext-po.c ../src/str-list.c \
192	../src/dir-list.c ../src/message.c ../src/msgl-ascii.c \
193	../src/po-error.c ../src/po-xerror.c ../src/write-catalog.c \
194	../src/write-po.c ../src/open-catalog.c ../src/po-charset.c \
195	../src/po-lex.c ../src/po-gram-gen.c ../src/read-po.c \
196	../src/read-catalog-abstract.c ../src/read-catalog.c \
197	../src/plural-table.c ../src/format-c.c ../src/format-sh.c \
198	../src/format-python.c ../src/format-lisp.c \
199	../src/format-elisp.c ../src/format-librep.c \
200	../src/format-scheme.c ../src/format-java.c \
201	../src/format-csharp.c ../src/format-awk.c \
202	../src/format-pascal.c ../src/format-ycp.c ../src/format-tcl.c \
203	../src/format-perl.c ../src/format-perl-brace.c \
204	../src/format-php.c ../src/format-gcc-internal.c \
205	../src/format-qt.c ../src/format-boost.c ../src/format.c \
206	../src/plural-exp.c ../src/plural-eval.c ../src/msgl-check.c \
207	../woe32dll/gettextpo-exports.c
208am__objects_1 = str-list.lo dir-list.lo message.lo msgl-ascii.lo \
209	po-error.lo po-xerror.lo write-catalog.lo write-po.lo \
210	open-catalog.lo po-charset.lo po-lex.lo po-gram-gen.lo \
211	read-po.lo read-catalog-abstract.lo read-catalog.lo \
212	plural-table.lo format-c.lo format-sh.lo format-python.lo \
213	format-lisp.lo format-elisp.lo format-librep.lo \
214	format-scheme.lo format-java.lo format-csharp.lo format-awk.lo \
215	format-pascal.lo format-ycp.lo format-tcl.lo format-perl.lo \
216	format-perl-brace.lo format-php.lo format-gcc-internal.lo \
217	format-qt.lo format-boost.lo format.lo plural-exp.lo \
218	plural-eval.lo msgl-check.lo
219@WOE32DLL_TRUE@am__objects_2 = gettextpo-exports.lo
220am_libgettextpo_la_OBJECTS = gettext-po.lo $(am__objects_1) \
221	$(am__objects_2)
222libgettextpo_la_OBJECTS = $(am_libgettextpo_la_OBJECTS)
223libgettextpo_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
224	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
225	$(libgettextpo_la_LDFLAGS) $(LDFLAGS) -o $@
226am__DEPENDENCIES_1 =
227am_libgnu_la_OBJECTS = allocsa.lo basename.lo c-ctype.lo \
228	c-strcasecmp.lo c-strncasecmp.lo c-strstr.lo error-progname.lo \
229	exitfail.lo fstrcmp.lo fwriteerror.lo gcd.lo hash.lo \
230	linebreak.lo localcharset.lo lock.lo mbswidth.lo concatpath.lo \
231	progname.lo striconv.lo tls.lo xmalloc.lo xstrdup.lo \
232	xallocsa.lo xerror.lo xstriconv.lo xvasprintf.lo xasprintf.lo
233libgnu_la_OBJECTS = $(am_libgnu_la_OBJECTS)
234libgnu_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
235	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
236	$(libgnu_la_LDFLAGS) $(LDFLAGS) -o $@
237DEFAULT_INCLUDES = -I. -I$(top_builddir)@am__isrc@
238depcomp =
239am__depfiles_maybe =
240COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
241	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
242LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
243	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
244	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
245CCLD = $(CC)
246LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
247	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
248	$(LDFLAGS) -o $@
249SOURCES = $(libgettextpo_la_SOURCES) $(libgnu_la_SOURCES)
250DIST_SOURCES = $(am__libgettextpo_la_SOURCES_DIST) \
251	$(libgnu_la_SOURCES)
252nodist_includeHEADERS_INSTALL = $(INSTALL_HEADER)
253HEADERS = $(nodist_include_HEADERS) $(nodist_noinst_HEADERS)
254ETAGS = etags
255CTAGS = ctags
256DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
257ABSOLUTE_STDINT_H = @ABSOLUTE_STDINT_H@
258ACLOCAL = @ACLOCAL@
259ALLOCA = @ALLOCA@
260ALLOCA_H = @ALLOCA_H@
261AMTAR = @AMTAR@
262AR = @AR@
263AS = @AS@
264AUTOCONF = @AUTOCONF@
265AUTOHEADER = @AUTOHEADER@
266AUTOMAKE = @AUTOMAKE@
267AWK = @AWK@
268BISON_LOCALEDIR = @BISON_LOCALEDIR@
269BITSIZEOF_PTRDIFF_T = @BITSIZEOF_PTRDIFF_T@
270BITSIZEOF_SIG_ATOMIC_T = @BITSIZEOF_SIG_ATOMIC_T@
271BITSIZEOF_SIZE_T = @BITSIZEOF_SIZE_T@
272BITSIZEOF_WCHAR_T = @BITSIZEOF_WCHAR_T@
273BITSIZEOF_WINT_T = @BITSIZEOF_WINT_T@
274BUILDCSHARP = @BUILDCSHARP@
275BUILDJAVA = @BUILDJAVA@
276BUILDJAVAEXE = @BUILDJAVAEXE@
277BUILD_INCLUDED_LIBINTL = @BUILD_INCLUDED_LIBINTL@
278BYTESWAP_H = @BYTESWAP_H@
279CATOBJEXT = @CATOBJEXT@
280CC = @CC@
281CCDEPMODE = @CCDEPMODE@
282CFLAGS = @CFLAGS@
283CFLAG_VISIBILITY = @CFLAG_VISIBILITY@
284CLASSPATH = @CLASSPATH@
285CLASSPATH_SEPARATOR = @CLASSPATH_SEPARATOR@
286CLIX_PATH = @CLIX_PATH@
287CLIX_PATH_VAR = @CLIX_PATH_VAR@
288CONF_JAVA = @CONF_JAVA@
289CONF_JAVAC = @CONF_JAVAC@
290CPP = @CPP@
291CPPFLAGS = @CPPFLAGS@
292CROSS_COMPILING = @CROSS_COMPILING@
293CSHARPCOMPFLAGS = @CSHARPCOMPFLAGS@
294CSHARP_CHOICE = @CSHARP_CHOICE@
295CXX = @CXX@
296CXXCPP = @CXXCPP@
297CXXDEPMODE = @CXXDEPMODE@
298CXXFLAGS = @CXXFLAGS@
299CYGPATH_W = @CYGPATH_W@
300DATADIRNAME = @DATADIRNAME@
301DEFS = @DEFS@
302DEPDIR = @DEPDIR@
303DLLTOOL = @DLLTOOL@
304DVIPS = @DVIPS@
305ECHO = @ECHO@
306ECHO_C = @ECHO_C@
307ECHO_N = @ECHO_N@
308ECHO_T = @ECHO_T@
309EGREP = @EGREP@
310EMACS = @EMACS@
311EMACSLOADPATH = @EMACSLOADPATH@
312EXEEXT = @EXEEXT@
313F77 = @F77@
314FFLAGS = @FFLAGS@
315FNMATCH_H = @FNMATCH_H@
316GCJ = @GCJ@
317GCJFLAGS = @GCJFLAGS@
318GENCAT = @GENCAT@
319GETOPT_H = @GETOPT_H@
320GLIBC2 = @GLIBC2@
321GLIBC21 = @GLIBC21@
322GLOBAL_SYMBOL_PIPE = @GLOBAL_SYMBOL_PIPE@
323GMSGFMT = @GMSGFMT@
324GMSGFMT_015 = @GMSGFMT_015@
325GREP = @GREP@
326HAVE_ASPRINTF = @HAVE_ASPRINTF@
327HAVE_CLIX = @HAVE_CLIX@
328HAVE_CLIX_IN_PATH = @HAVE_CLIX_IN_PATH@
329HAVE_CSC = @HAVE_CSC@
330HAVE_CSCC = @HAVE_CSCC@
331HAVE_CSCC_IN_PATH = @HAVE_CSCC_IN_PATH@
332HAVE_CSC_IN_PATH = @HAVE_CSC_IN_PATH@
333HAVE_GCJ = @HAVE_GCJ@
334HAVE_GCJ_C = @HAVE_GCJ_C@
335HAVE_GCJ_IN_PATH = @HAVE_GCJ_IN_PATH@
336HAVE_GIJ = @HAVE_GIJ@
337HAVE_GIJ_IN_PATH = @HAVE_GIJ_IN_PATH@
338HAVE_GLOBAL_SYMBOL_PIPE = @HAVE_GLOBAL_SYMBOL_PIPE@
339HAVE_ILRUN = @HAVE_ILRUN@
340HAVE_ILRUN_IN_PATH = @HAVE_ILRUN_IN_PATH@
341HAVE_INTTYPES_H = @HAVE_INTTYPES_H@
342HAVE_JAVA = @HAVE_JAVA@
343HAVE_JAVAC = @HAVE_JAVAC@
344HAVE_JAVAC_ENVVAR = @HAVE_JAVAC_ENVVAR@
345HAVE_JAVAC_IN_PATH = @HAVE_JAVAC_IN_PATH@
346HAVE_JAVA_ENVVAR = @HAVE_JAVA_ENVVAR@
347HAVE_JAVA_IN_PATH = @HAVE_JAVA_IN_PATH@
348HAVE_JIKES = @HAVE_JIKES@
349HAVE_JIKES_IN_PATH = @HAVE_JIKES_IN_PATH@
350HAVE_JRE = @HAVE_JRE@
351HAVE_JRE_IN_PATH = @HAVE_JRE_IN_PATH@
352HAVE_JVIEW = @HAVE_JVIEW@
353HAVE_JVIEW_IN_PATH = @HAVE_JVIEW_IN_PATH@
354HAVE_LIBEXPAT = @HAVE_LIBEXPAT@
355HAVE_LONG_LONG_INT = @HAVE_LONG_LONG_INT@
356HAVE_MCS = @HAVE_MCS@
357HAVE_MCS_IN_PATH = @HAVE_MCS_IN_PATH@
358HAVE_MONO = @HAVE_MONO@
359HAVE_MONO_IN_PATH = @HAVE_MONO_IN_PATH@
360HAVE_POSIX_PRINTF = @HAVE_POSIX_PRINTF@
361HAVE_SIGNED_SIG_ATOMIC_T = @HAVE_SIGNED_SIG_ATOMIC_T@
362HAVE_SIGNED_WCHAR_T = @HAVE_SIGNED_WCHAR_T@
363HAVE_SIGNED_WINT_T = @HAVE_SIGNED_WINT_T@
364HAVE_SNPRINTF = @HAVE_SNPRINTF@
365HAVE_STDINT_H = @HAVE_STDINT_H@
366HAVE_SYS_BITYPES_H = @HAVE_SYS_BITYPES_H@
367HAVE_SYS_INTTYPES_H = @HAVE_SYS_INTTYPES_H@
368HAVE_SYS_TYPES_H = @HAVE_SYS_TYPES_H@
369HAVE_UNSIGNED_LONG_LONG_INT = @HAVE_UNSIGNED_LONG_LONG_INT@
370HAVE_VISIBILITY = @HAVE_VISIBILITY@
371HAVE_WCHAR_H = @HAVE_WCHAR_H@
372HAVE_WPRINTF = @HAVE_WPRINTF@
373HAVE__BOOL = @HAVE__BOOL@
374INSTALL = @INSTALL@
375INSTALL_DATA = @INSTALL_DATA@
376INSTALL_PROGRAM = @INSTALL_PROGRAM@
377INSTALL_SCRIPT = @INSTALL_SCRIPT@
378INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
379INSTOBJEXT = @INSTOBJEXT@
380INTLBISON = @INTLBISON@
381INTLLIBS = @INTLLIBS@
382INTLOBJS = @INTLOBJS@
383INTL_LIBTOOL_SUFFIX_PREFIX = @INTL_LIBTOOL_SUFFIX_PREFIX@
384INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
385JAR = @JAR@
386JAVA_CHOICE = @JAVA_CHOICE@
387LDFLAGS = @LDFLAGS@
388LIBEXPAT = @LIBEXPAT@
389LIBGREPOBJS = @LIBGREPOBJS@
390LIBICONV = @LIBICONV@
391LIBINTL = @LIBINTL@
392LIBMULTITHREAD = @LIBMULTITHREAD@
393LIBOBJS = @LIBOBJS@
394LIBPTH = @LIBPTH@
395LIBS = @LIBS@
396LIBTHREAD = @LIBTHREAD@
397LIBTOOL = @LIBTOOL@
398LN_S = @LN_S@
399LOCALE_FR = @LOCALE_FR@
400LOCALE_FR_UTF8 = @LOCALE_FR_UTF8@
401LTLIBEXPAT = @LTLIBEXPAT@
402LTLIBICONV = @LTLIBICONV@
403LTLIBINTL = @LTLIBINTL@
404LTLIBMULTITHREAD = @LTLIBMULTITHREAD@
405LTLIBOBJS = @LTLIBOBJS@
406LTLIBPTH = @LTLIBPTH@
407LTLIBTHREAD = @LTLIBTHREAD@
408LTNOUNDEF = @LTNOUNDEF@
409MAKEINFO = @MAKEINFO@
410MKDIR_P = @MKDIR_P@
411MONO_PATH = @MONO_PATH@
412MONO_PATH_SEPARATOR = @MONO_PATH_SEPARATOR@
413MSGFMT = @MSGFMT@
414MSGFMT_015 = @MSGFMT_015@
415MSGMERGE = @MSGMERGE@
416MSGMERGE_LIBM = @MSGMERGE_LIBM@
417NM = @NM@
418OBJDUMP = @OBJDUMP@
419OBJEXT = @OBJEXT@
420OPENMP_CFLAGS = @OPENMP_CFLAGS@
421PACKAGE = @PACKAGE@
422PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
423PACKAGE_NAME = @PACKAGE_NAME@
424PACKAGE_STRING = @PACKAGE_STRING@
425PACKAGE_TARNAME = @PACKAGE_TARNAME@
426PACKAGE_VERSION = @PACKAGE_VERSION@
427PATH_SEPARATOR = @PATH_SEPARATOR@
428PERL = @PERL@
429POSUB = @POSUB@
430PRI_MACROS_BROKEN = @PRI_MACROS_BROKEN@
431PTRDIFF_T_SUFFIX = @PTRDIFF_T_SUFFIX@
432RANLIB = @RANLIB@
433RELOCATABLE = @RELOCATABLE@
434SET_MAKE = @SET_MAKE@
435SET_RELOCATABLE = @SET_RELOCATABLE@
436SHELL = @SHELL@
437SIG_ATOMIC_T_SUFFIX = @SIG_ATOMIC_T_SUFFIX@
438SIZE_T_SUFFIX = @SIZE_T_SUFFIX@
439STDBOOL_H = @STDBOOL_H@
440STDINT_H = @STDINT_H@
441STRIP = @STRIP@
442TESTCSHARP = @TESTCSHARP@
443TESTJAVA = @TESTJAVA@
444TESTLIBASPRINTF = @TESTLIBASPRINTF@
445TEXI2PDF = @TEXI2PDF@
446UNISTD_H = @UNISTD_H@
447USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
448USE_NLS = @USE_NLS@
449VERSION = @VERSION@
450WCHAR_T_SUFFIX = @WCHAR_T_SUFFIX@
451WINT_T_SUFFIX = @WINT_T_SUFFIX@
452WOE32DLL = @WOE32DLL@
453XGETTEXT = @XGETTEXT@
454XGETTEXT_015 = @XGETTEXT_015@
455YACC = @YACC@
456YFLAGS = @YFLAGS@
457abs_builddir = @abs_builddir@
458abs_srcdir = @abs_srcdir@
459abs_top_builddir = @abs_top_builddir@
460abs_top_srcdir = @abs_top_srcdir@
461ac_ct_CC = @ac_ct_CC@
462ac_ct_CXX = @ac_ct_CXX@
463ac_ct_F77 = @ac_ct_F77@
464aclocaldir = @aclocaldir@
465am__include = @am__include@
466am__leading_dot = @am__leading_dot@
467am__quote = @am__quote@
468am__tar = @am__tar@
469am__untar = @am__untar@
470bindir = @bindir@
471build = @build@
472build_alias = @build_alias@
473build_cpu = @build_cpu@
474build_os = @build_os@
475build_vendor = @build_vendor@
476builddir = @builddir@
477datadir = @datadir@
478datarootdir = @datarootdir@
479docdir = @docdir@
480dvidir = @dvidir@
481exec_prefix = @exec_prefix@
482gl_LIBOBJS = @gl_LIBOBJS@
483gl_LTLIBOBJS = @gl_LTLIBOBJS@
484gtpo_LIBOBJS = @gtpo_LIBOBJS@
485gtpo_LTLIBOBJS = @gtpo_LTLIBOBJS@
486host = @host@
487host_alias = @host_alias@
488host_cpu = @host_cpu@
489host_os = @host_os@
490host_vendor = @host_vendor@
491htmldir = @htmldir@
492includedir = @includedir@
493infodir = @infodir@
494install_sh = @install_sh@
495libdir = @libdir@
496libexecdir = @libexecdir@
497lispdir = @lispdir@
498localedir = @localedir@
499localstatedir = @localstatedir@
500mandir = @mandir@
501mkdir_p = @mkdir_p@
502oldincludedir = @oldincludedir@
503pdfdir = @pdfdir@
504prefix = @prefix@
505program_transform_name = @program_transform_name@
506psdir = @psdir@
507sbindir = @sbindir@
508sharedstatedir = @sharedstatedir@
509srcdir = @srcdir@
510subdirs = @subdirs@
511sysconfdir = @sysconfdir@
512target_alias = @target_alias@
513top_builddir = @top_builddir@
514top_srcdir = @top_srcdir@
515AUTOMAKE_OPTIONS = 1.5 gnits no-dependencies
516
517# Special rules for installable include files that export variables.
518EXTRA_DIST = gettext-po.h.in alloca_.h allocsa.valgrind error.c \
519	error.h getdelim.c getdelim.h getline.c getline.h \
520	config.charset ref-add.sin ref-del.sin obstack.c obstack.h \
521	relocatable.c relocatable.h stdbool_.h stdint_.h stpcpy.c \
522	stpcpy.h strdup.c strdup.h unlocked-io.h vasprintf.c \
523	vasprintf.h xalloc.h
524BUILT_SOURCES = gettext-po.h $(ALLOCA_H) configmake.h $(STDBOOL_H) \
525	$(STDINT_H)
526MOSTLYCLEANFILES = core *.stackdump config.h config.h-t core \
527	*.stackdump alloca.h alloca.h-t stdbool.h stdbool.h-t stdint.h \
528	stdint.h-t
529CLEANFILES = gettext-po.h configmake.h configmake.h-t charset.alias \
530	ref-add.sed ref-del.sed
531DISTCLEANFILES = 
532SUFFIXES = .sed .sin
533lib_LTLIBRARIES = libgettextpo.la
534nodist_include_HEADERS = gettext-po.h
535noinst_LTLIBRARIES = libgnu.la
536nodist_noinst_HEADERS = config.h
537AM_CPPFLAGS = \
538  -I. -I$(srcdir) \
539  -I.. -I$(top_srcdir) \
540  -I../src -I$(top_srcdir)/src \
541  -I../intl -I$(top_srcdir)/../gettext-runtime/intl
542
543
544# libgettextpo contains the public API for PO files.
545libgettextpo_la_SOURCES = gettext-po.c $(libgettextpo_la_AUXSOURCES) \
546	$(am__append_1)
547# These are auxiliary sources whose symbols should not be exported.
548libgettextpo_la_AUXSOURCES = \
549  ../src/str-list.c \
550  ../src/dir-list.c \
551  ../src/message.c \
552  ../src/msgl-ascii.c \
553  ../src/po-error.c \
554  ../src/po-xerror.c \
555  ../src/write-catalog.c \
556  ../src/write-po.c \
557  ../src/open-catalog.c \
558  ../src/po-charset.c \
559  ../src/po-lex.c \
560  ../src/po-gram-gen.c \
561  ../src/read-po.c \
562  ../src/read-catalog-abstract.c \
563  ../src/read-catalog.c \
564  ../src/plural-table.c \
565  ../src/format-c.c \
566  ../src/format-sh.c \
567  ../src/format-python.c \
568  ../src/format-lisp.c \
569  ../src/format-elisp.c \
570  ../src/format-librep.c \
571  ../src/format-scheme.c \
572  ../src/format-java.c \
573  ../src/format-csharp.c \
574  ../src/format-awk.c \
575  ../src/format-pascal.c \
576  ../src/format-ycp.c \
577  ../src/format-tcl.c \
578  ../src/format-perl.c \
579  ../src/format-perl-brace.c \
580  ../src/format-php.c \
581  ../src/format-gcc-internal.c \
582  ../src/format-qt.c \
583  ../src/format-boost.c \
584  ../src/format.c \
585  ../src/plural-exp.c \
586  ../src/plural-eval.c \
587  ../src/msgl-check.c
588
589
590# Libtool's library version information for libgettextpo.
591# See the libtool documentation, section "Library interface versions".
592LTV_CURRENT = 3
593LTV_REVISION = 0
594LTV_AGE = 3
595
596# How to build libgettextpo.la.
597# Don't make it depend on libgettextsrc.la or libgettextlib.la, since they
598# define an uncontrolled amount of symbols.
599libgettextpo_la_LIBADD = libgnu.la
600libgettextpo_la_LDFLAGS = -version-info \
601	$(LTV_CURRENT):$(LTV_REVISION):$(LTV_AGE) -rpath $(libdir) \
602	@LTLIBINTL@ @LTLIBICONV@ -lc @LTNOUNDEF@ $(am__append_2)
603libgnu_la_SOURCES = allocsa.h allocsa.c basename.h basename.c \
604	c-ctype.h c-ctype.c c-strcase.h c-strcasecmp.c c-strncasecmp.c \
605	c-strstr.h c-strstr.c error-progname.h error-progname.c exit.h \
606	exitfail.h exitfail.c fstrcmp.h fstrcmp.c fwriteerror.h \
607	fwriteerror.c gcd.h gcd.c gettext.h hash.h hash.c linebreak.h \
608	linebreak.c lbrkprop.h localcharset.h localcharset.c lock.h \
609	lock.c mbswidth.h mbswidth.c minmax.h pathname.h concatpath.c \
610	progname.h progname.c size_max.h striconv.h striconv.c tls.h \
611	tls.c ucs4-utf8.h utf16-ucs4.h utf8-ucs4.h wcwidth.h xalloc.h \
612	xmalloc.c xstrdup.c xallocsa.h xallocsa.c xerror.h xerror.c \
613	xsize.h xstriconv.h xstriconv.c xvasprintf.h xvasprintf.c \
614	xasprintf.c
615libgnu_la_LIBADD = $(gtpo_LTLIBOBJS)
616libgnu_la_DEPENDENCIES = $(gtpo_LTLIBOBJS)
617libgnu_la_LDFLAGS = $(AM_LDFLAGS) $(am__append_3)
618charset_alias = $(DESTDIR)$(libdir)/charset.alias
619charset_tmp = $(DESTDIR)$(libdir)/charset.tmp
620all: $(BUILT_SOURCES)
621	$(MAKE) $(AM_MAKEFLAGS) all-am
622
623.SUFFIXES:
624.SUFFIXES: .sed .sin .c .lo .o .obj
625$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.gnulib $(am__configure_deps)
626	@for dep in $?; do \
627	  case '$(am__configure_deps)' in \
628	    *$$dep*) \
629	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
630		&& exit 0; \
631	      exit 1;; \
632	  esac; \
633	done; \
634	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits  libgettextpo/Makefile'; \
635	cd $(top_srcdir) && \
636	  $(AUTOMAKE) --gnits  libgettextpo/Makefile
637.PRECIOUS: Makefile
638Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
639	@case '$?' in \
640	  *config.status*) \
641	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
642	  *) \
643	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
644	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
645	esac;
646
647$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
648	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
649
650$(top_srcdir)/configure:  $(am__configure_deps)
651	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
652$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
653	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
654exported.sh: $(top_builddir)/config.status $(srcdir)/exported.sh.in
655	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
656install-libLTLIBRARIES: $(lib_LTLIBRARIES)
657	@$(NORMAL_INSTALL)
658	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
659	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
660	  if test -f $$p; then \
661	    f=$(am__strip_dir) \
662	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
663	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
664	  else :; fi; \
665	done
666
667uninstall-libLTLIBRARIES:
668	@$(NORMAL_UNINSTALL)
669	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
670	  p=$(am__strip_dir) \
671	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
672	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
673	done
674
675clean-libLTLIBRARIES:
676	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
677	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
678	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
679	  test "$$dir" != "$$p" || dir=.; \
680	  echo "rm -f \"$${dir}/so_locations\""; \
681	  rm -f "$${dir}/so_locations"; \
682	done
683
684clean-noinstLTLIBRARIES:
685	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
686	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
687	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
688	  test "$$dir" != "$$p" || dir=.; \
689	  echo "rm -f \"$${dir}/so_locations\""; \
690	  rm -f "$${dir}/so_locations"; \
691	done
692libgettextpo.la: $(libgettextpo_la_OBJECTS) $(libgettextpo_la_DEPENDENCIES) 
693	$(libgettextpo_la_LINK) -rpath $(libdir) $(libgettextpo_la_OBJECTS) $(libgettextpo_la_LIBADD) $(LIBS)
694libgnu.la: $(libgnu_la_OBJECTS) $(libgnu_la_DEPENDENCIES) 
695	$(libgnu_la_LINK)  $(libgnu_la_OBJECTS) $(libgnu_la_LIBADD) $(LIBS)
696
697mostlyclean-compile:
698	-rm -f *.$(OBJEXT)
699
700distclean-compile:
701	-rm -f *.tab.c
702
703.c.o:
704	$(COMPILE) -c $<
705
706.c.obj:
707	$(COMPILE) -c `$(CYGPATH_W) '$<'`
708
709.c.lo:
710	$(LTCOMPILE) -c -o $@ $<
711
712str-list.lo: ../src/str-list.c
713	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o str-list.lo `test -f '../src/str-list.c' || echo '$(srcdir)/'`../src/str-list.c
714
715dir-list.lo: ../src/dir-list.c
716	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dir-list.lo `test -f '../src/dir-list.c' || echo '$(srcdir)/'`../src/dir-list.c
717
718message.lo: ../src/message.c
719	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o message.lo `test -f '../src/message.c' || echo '$(srcdir)/'`../src/message.c
720
721msgl-ascii.lo: ../src/msgl-ascii.c
722	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o msgl-ascii.lo `test -f '../src/msgl-ascii.c' || echo '$(srcdir)/'`../src/msgl-ascii.c
723
724po-error.lo: ../src/po-error.c
725	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o po-error.lo `test -f '../src/po-error.c' || echo '$(srcdir)/'`../src/po-error.c
726
727po-xerror.lo: ../src/po-xerror.c
728	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o po-xerror.lo `test -f '../src/po-xerror.c' || echo '$(srcdir)/'`../src/po-xerror.c
729
730write-catalog.lo: ../src/write-catalog.c
731	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o write-catalog.lo `test -f '../src/write-catalog.c' || echo '$(srcdir)/'`../src/write-catalog.c
732
733write-po.lo: ../src/write-po.c
734	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o write-po.lo `test -f '../src/write-po.c' || echo '$(srcdir)/'`../src/write-po.c
735
736open-catalog.lo: ../src/open-catalog.c
737	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o open-catalog.lo `test -f '../src/open-catalog.c' || echo '$(srcdir)/'`../src/open-catalog.c
738
739po-charset.lo: ../src/po-charset.c
740	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o po-charset.lo `test -f '../src/po-charset.c' || echo '$(srcdir)/'`../src/po-charset.c
741
742po-lex.lo: ../src/po-lex.c
743	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o po-lex.lo `test -f '../src/po-lex.c' || echo '$(srcdir)/'`../src/po-lex.c
744
745po-gram-gen.lo: ../src/po-gram-gen.c
746	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o po-gram-gen.lo `test -f '../src/po-gram-gen.c' || echo '$(srcdir)/'`../src/po-gram-gen.c
747
748read-po.lo: ../src/read-po.c
749	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o read-po.lo `test -f '../src/read-po.c' || echo '$(srcdir)/'`../src/read-po.c
750
751read-catalog-abstract.lo: ../src/read-catalog-abstract.c
752	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o read-catalog-abstract.lo `test -f '../src/read-catalog-abstract.c' || echo '$(srcdir)/'`../src/read-catalog-abstract.c
753
754read-catalog.lo: ../src/read-catalog.c
755	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o read-catalog.lo `test -f '../src/read-catalog.c' || echo '$(srcdir)/'`../src/read-catalog.c
756
757plural-table.lo: ../src/plural-table.c
758	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o plural-table.lo `test -f '../src/plural-table.c' || echo '$(srcdir)/'`../src/plural-table.c
759
760format-c.lo: ../src/format-c.c
761	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-c.lo `test -f '../src/format-c.c' || echo '$(srcdir)/'`../src/format-c.c
762
763format-sh.lo: ../src/format-sh.c
764	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-sh.lo `test -f '../src/format-sh.c' || echo '$(srcdir)/'`../src/format-sh.c
765
766format-python.lo: ../src/format-python.c
767	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-python.lo `test -f '../src/format-python.c' || echo '$(srcdir)/'`../src/format-python.c
768
769format-lisp.lo: ../src/format-lisp.c
770	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-lisp.lo `test -f '../src/format-lisp.c' || echo '$(srcdir)/'`../src/format-lisp.c
771
772format-elisp.lo: ../src/format-elisp.c
773	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-elisp.lo `test -f '../src/format-elisp.c' || echo '$(srcdir)/'`../src/format-elisp.c
774
775format-librep.lo: ../src/format-librep.c
776	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-librep.lo `test -f '../src/format-librep.c' || echo '$(srcdir)/'`../src/format-librep.c
777
778format-scheme.lo: ../src/format-scheme.c
779	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-scheme.lo `test -f '../src/format-scheme.c' || echo '$(srcdir)/'`../src/format-scheme.c
780
781format-java.lo: ../src/format-java.c
782	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-java.lo `test -f '../src/format-java.c' || echo '$(srcdir)/'`../src/format-java.c
783
784format-csharp.lo: ../src/format-csharp.c
785	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-csharp.lo `test -f '../src/format-csharp.c' || echo '$(srcdir)/'`../src/format-csharp.c
786
787format-awk.lo: ../src/format-awk.c
788	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-awk.lo `test -f '../src/format-awk.c' || echo '$(srcdir)/'`../src/format-awk.c
789
790format-pascal.lo: ../src/format-pascal.c
791	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-pascal.lo `test -f '../src/format-pascal.c' || echo '$(srcdir)/'`../src/format-pascal.c
792
793format-ycp.lo: ../src/format-ycp.c
794	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-ycp.lo `test -f '../src/format-ycp.c' || echo '$(srcdir)/'`../src/format-ycp.c
795
796format-tcl.lo: ../src/format-tcl.c
797	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-tcl.lo `test -f '../src/format-tcl.c' || echo '$(srcdir)/'`../src/format-tcl.c
798
799format-perl.lo: ../src/format-perl.c
800	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-perl.lo `test -f '../src/format-perl.c' || echo '$(srcdir)/'`../src/format-perl.c
801
802format-perl-brace.lo: ../src/format-perl-brace.c
803	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-perl-brace.lo `test -f '../src/format-perl-brace.c' || echo '$(srcdir)/'`../src/format-perl-brace.c
804
805format-php.lo: ../src/format-php.c
806	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-php.lo `test -f '../src/format-php.c' || echo '$(srcdir)/'`../src/format-php.c
807
808format-gcc-internal.lo: ../src/format-gcc-internal.c
809	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-gcc-internal.lo `test -f '../src/format-gcc-internal.c' || echo '$(srcdir)/'`../src/format-gcc-internal.c
810
811format-qt.lo: ../src/format-qt.c
812	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-qt.lo `test -f '../src/format-qt.c' || echo '$(srcdir)/'`../src/format-qt.c
813
814format-boost.lo: ../src/format-boost.c
815	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format-boost.lo `test -f '../src/format-boost.c' || echo '$(srcdir)/'`../src/format-boost.c
816
817format.lo: ../src/format.c
818	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o format.lo `test -f '../src/format.c' || echo '$(srcdir)/'`../src/format.c
819
820plural-exp.lo: ../src/plural-exp.c
821	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o plural-exp.lo `test -f '../src/plural-exp.c' || echo '$(srcdir)/'`../src/plural-exp.c
822
823plural-eval.lo: ../src/plural-eval.c
824	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o plural-eval.lo `test -f '../src/plural-eval.c' || echo '$(srcdir)/'`../src/plural-eval.c
825
826msgl-check.lo: ../src/msgl-check.c
827	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o msgl-check.lo `test -f '../src/msgl-check.c' || echo '$(srcdir)/'`../src/msgl-check.c
828
829gettextpo-exports.lo: ../woe32dll/gettextpo-exports.c
830	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gettextpo-exports.lo `test -f '../woe32dll/gettextpo-exports.c' || echo '$(srcdir)/'`../woe32dll/gettextpo-exports.c
831
832mostlyclean-libtool:
833	-rm -f *.lo
834
835clean-libtool:
836	-rm -rf .libs _libs
837install-nodist_includeHEADERS: $(nodist_include_HEADERS)
838	@$(NORMAL_INSTALL)
839	test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
840	@list='$(nodist_include_HEADERS)'; for p in $$list; do \
841	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
842	  f=$(am__strip_dir) \
843	  echo " $(nodist_includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
844	  $(nodist_includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
845	done
846
847uninstall-nodist_includeHEADERS:
848	@$(NORMAL_UNINSTALL)
849	@list='$(nodist_include_HEADERS)'; for p in $$list; do \
850	  f=$(am__strip_dir) \
851	  echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
852	  rm -f "$(DESTDIR)$(includedir)/$$f"; \
853	done
854
855ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
856	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
857	unique=`for i in $$list; do \
858	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
859	  done | \
860	  $(AWK) '    { files[$$0] = 1; } \
861	       END { for (i in files) print i; }'`; \
862	mkid -fID $$unique
863tags: TAGS
864
865TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
866		$(TAGS_FILES) $(LISP)
867	tags=; \
868	here=`pwd`; \
869	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
870	unique=`for i in $$list; do \
871	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
872	  done | \
873	  $(AWK) '    { files[$$0] = 1; } \
874	       END { for (i in files) print i; }'`; \
875	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
876	  test -n "$$unique" || unique=$$empty_fix; \
877	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
878	    $$tags $$unique; \
879	fi
880ctags: CTAGS
881CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
882		$(TAGS_FILES) $(LISP)
883	tags=; \
884	here=`pwd`; \
885	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
886	unique=`for i in $$list; do \
887	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
888	  done | \
889	  $(AWK) '    { files[$$0] = 1; } \
890	       END { for (i in files) print i; }'`; \
891	test -z "$(CTAGS_ARGS)$$tags$$unique" \
892	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
893	     $$tags $$unique
894
895GTAGS:
896	here=`$(am__cd) $(top_builddir) && pwd` \
897	  && cd $(top_srcdir) \
898	  && gtags -i $(GTAGS_ARGS) $$here
899
900distclean-tags:
901	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
902
903distdir: $(DISTFILES)
904	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
905	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
906	list='$(DISTFILES)'; \
907	  dist_files=`for file in $$list; do echo $$file; done | \
908	  sed -e "s|^$$srcdirstrip/||;t" \
909	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
910	case $$dist_files in \
911	  */*) $(MKDIR_P) `echo "$$dist_files" | \
912			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
913			   sort -u` ;; \
914	esac; \
915	for file in $$dist_files; do \
916	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
917	  if test -d $$d/$$file; then \
918	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
919	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
920	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
921	    fi; \
922	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
923	  else \
924	    test -f $(distdir)/$$file \
925	    || cp -p $$d/$$file $(distdir)/$$file \
926	    || exit 1; \
927	  fi; \
928	done
929check-am: all-am
930check: $(BUILT_SOURCES)
931	$(MAKE) $(AM_MAKEFLAGS) check-am
932all-am: Makefile $(LTLIBRARIES) $(HEADERS) all-local
933installdirs:
934	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"; do \
935	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
936	done
937install: $(BUILT_SOURCES)
938	$(MAKE) $(AM_MAKEFLAGS) install-am
939install-exec: install-exec-am
940install-data: install-data-am
941uninstall: uninstall-am
942
943install-am: all-am
944	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
945
946installcheck: installcheck-am
947install-strip:
948	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
949	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
950	  `test -z '$(STRIP)' || \
951	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
952mostlyclean-generic:
953	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
954
955clean-generic:
956	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
957
958distclean-generic:
959	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
960	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
961
962maintainer-clean-generic:
963	@echo "This command is intended for maintainers to use"
964	@echo "it deletes files that may require special tools to rebuild."
965	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
966clean: clean-am
967
968clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
969	clean-noinstLTLIBRARIES mostlyclean-am
970
971distclean: distclean-am
972	-rm -f Makefile
973distclean-am: clean-am distclean-compile distclean-generic \
974	distclean-tags
975
976dvi: dvi-am
977
978dvi-am:
979
980html: html-am
981
982info: info-am
983
984info-am:
985
986install-data-am: install-nodist_includeHEADERS
987
988install-dvi: install-dvi-am
989
990install-exec-am: install-exec-local install-libLTLIBRARIES
991
992install-html: install-html-am
993
994install-info: install-info-am
995
996install-man:
997
998install-pdf: install-pdf-am
999
1000install-ps: install-ps-am
1001
1002installcheck-am:
1003
1004maintainer-clean: maintainer-clean-am
1005	-rm -f Makefile
1006maintainer-clean-am: distclean-am maintainer-clean-generic
1007
1008mostlyclean: mostlyclean-am
1009
1010mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1011	mostlyclean-libtool mostlyclean-local
1012
1013pdf: pdf-am
1014
1015pdf-am:
1016
1017ps: ps-am
1018
1019ps-am:
1020
1021uninstall-am: uninstall-libLTLIBRARIES uninstall-local \
1022	uninstall-nodist_includeHEADERS
1023
1024.MAKE: install-am install-strip
1025
1026.PHONY: CTAGS GTAGS all all-am all-local check check-am clean \
1027	clean-generic clean-libLTLIBRARIES clean-libtool \
1028	clean-noinstLTLIBRARIES ctags distclean distclean-compile \
1029	distclean-generic distclean-libtool distclean-tags distdir dvi \
1030	dvi-am html html-am info info-am install install-am \
1031	install-data install-data-am install-dvi install-dvi-am \
1032	install-exec install-exec-am install-exec-local install-html \
1033	install-html-am install-info install-info-am \
1034	install-libLTLIBRARIES install-man \
1035	install-nodist_includeHEADERS install-pdf install-pdf-am \
1036	install-ps install-ps-am install-strip installcheck \
1037	installcheck-am installdirs maintainer-clean \
1038	maintainer-clean-generic mostlyclean mostlyclean-compile \
1039	mostlyclean-generic mostlyclean-libtool mostlyclean-local pdf \
1040	pdf-am ps ps-am tags uninstall uninstall-am \
1041	uninstall-libLTLIBRARIES uninstall-local \
1042	uninstall-nodist_includeHEADERS
1043
1044
1045# Hide symbols that are defined by libgettextpo_la_AUXSOURCES or libgnu.la
1046# from the global namespace, by prefixing them with "libgettextpo_".
1047all check install: config.h
1048config.h: $(BUILT_SOURCES)
1049	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
1050	  : "Avoid double inclusion, to avoid a warning about redefinition of DLL_VARIABLE."; \
1051	  echo '#ifndef GTPO_CONFIG_H'; \
1052	  echo '#define GTPO_CONFIG_H'; \
1053	  echo; \
1054	  echo '#include "../config.h"'; \
1055	  : "Turn all gettext() calls into dgettext() calls."; \
1056	  echo '#define DEFAULT_TEXT_DOMAIN "gettext-tools"'; \
1057	  : "All code is collected in a single library,"; \
1058	  : "No references to variables in other libraries exist."; \
1059	  echo '#undef DLL_VARIABLE'; \
1060	  echo '#define DLL_VARIABLE'; \
1061	  echo; \
1062	  echo '#endif /* GTPO_CONFIG_H */'; \
1063	} > config.h && \
1064	if test -n "$(HAVE_GLOBAL_SYMBOL_PIPE)"; then \
1065	  { \
1066	    for f in $(libgettextpo_la_AUXSOURCES) $(libgnu_la_SOURCES) $(libgnu_la_LIBADD); do \
1067	      case $$f in \
1068	        *.c | *.$(OBJEXT) | *.lo ) \
1069	          sf=`echo "$$f" | sed -e 's,\\.[^.]*$$,,'`.c; \
1070	          of=`echo "$$f" | sed -e 's,^.*/,,' -e 's,\\.[^.]*$$,,'`.$(OBJEXT); \
1071	          $(COMPILE) -c $(srcdir)/$$sf || { rm -f config.h; exit 1; }; \
1072	          sh ./exported.sh $$of 1>&5; \
1073	          rm -f $$of; \
1074	          ;; \
1075	      esac; \
1076	    done; \
1077	  } 5>&1 \
1078	    | sed -e 's,.* ,,' | LC_ALL=C sort | LC_ALL=C uniq \
1079	    | sed -e 's,^obstack_free$$,__obstack_free,' \
1080	    | sed -e 's,^\(.*\)$$,#define \1 libgettextpo_\1,' > config.h-t && \
1081	  if test -f config.h; then \
1082	    cat config.h-t >> config.h; \
1083	    rm -f config.h-t; \
1084	  else \
1085	    rm -f config.h-t; \
1086	    exit 1; \
1087	  fi \
1088	fi
1089gettext-po.h: gettext-po.h.in
1090@WOE32DLL_TRUE@	sed -e 's/extern \([^()]*\);/extern __declspec (dllimport) \1;/' $(srcdir)/gettext-po.h.in > gettext-po.h-tmp
1091@WOE32DLL_FALSE@	cp $(srcdir)/gettext-po.h.in gettext-po.h-tmp
1092	mv gettext-po.h-tmp gettext-po.h
1093
1094# We need the following in order to create <alloca.h> when the system
1095# doesn't have one that works with the given compiler.
1096alloca.h: alloca_.h
1097	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
1098	  cat $(srcdir)/alloca_.h; \
1099	} > $@-t
1100	mv -f $@-t $@
1101
1102# Retrieve values of the variables through 'configure' followed by
1103# 'make', not directly through 'configure', so that a user who
1104# sets some of these variables consistently on the 'make' command
1105# line gets correct results.
1106#
1107# One advantage of this approach, compared to the classical
1108# approach of adding -DLIBDIR=\"$(libdir)\" etc. to AM_CPPFLAGS,
1109# is that it protects against the use of undefined variables.
1110# If, say, $(libdir) is not set in the Makefile, LIBDIR is not
1111# defined by this module, and code using LIBDIR gives a
1112# compilation error.
1113#
1114# Another advantage is that 'make' output is shorter.
1115#
1116# Listed in the same order as the GNU makefile conventions.
1117# The Automake-defined pkg* macros are appended, in the order
1118# listed in the Automake 1.10a+ documentation.
1119configmake.h: Makefile
1120	rm -f $@-t $@
1121	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
1122	  echo '#define PREFIX "$(prefix)"'; \
1123	  echo '#define EXEC_PREFIX "$(exec_prefix)"'; \
1124	  echo '#define BINDIR "$(bindir)"'; \
1125	  echo '#define SBINDIR "$(sbindir)"'; \
1126	  echo '#define LIBEXECDIR "$(libexecdir)"'; \
1127	  echo '#define DATAROOTDIR "$(datarootdir)"'; \
1128	  echo '#define DATADIR "$(datadir)"'; \
1129	  echo '#define SYSCONFDIR "$(sysconfdir)"'; \
1130	  echo '#define SHAREDSTATEDIR "$(sharedstatedir)"'; \
1131	  echo '#define LOCALSTATEDIR "$(localstatedir)"'; \
1132	  echo '#define INCLUDEDIR "$(includedir)"'; \
1133	  echo '#define OLDINCLUDEDIR "$(oldincludedir)"'; \
1134	  echo '#define DOCDIR "$(docdir)"'; \
1135	  echo '#define INFODIR "$(infodir)"'; \
1136	  echo '#define HTMLDIR "$(htmldir)"'; \
1137	  echo '#define DVIDIR "$(dvidir)"'; \
1138	  echo '#define PDFDIR "$(pdfdir)"'; \
1139	  echo '#define PSDIR "$(psdir)"'; \
1140	  echo '#define LIBDIR "$(libdir)"'; \
1141	  echo '#define LISPDIR "$(lispdir)"'; \
1142	  echo '#define LOCALEDIR "$(localedir)"'; \
1143	  echo '#define MANDIR "$(mandir)"'; \
1144	  echo '#define MANEXT "$(manext)"'; \
1145	  echo '#define PKGDATADIR "$(pkgdatadir)"'; \
1146	  echo '#define PKGINCLUDEDIR "$(pkgincludedir)"'; \
1147	  echo '#define PKGLIBDIR "$(pkglibdir)"'; \
1148	  echo '#define PKGLIBEXECDIR "$(pkglibexecdir)"'; \
1149	} | sed '/""/d' > $@-t
1150	mv $@-t $@
1151
1152# We need the following in order to install a simple file in $(libdir)
1153# which is shared with other installed packages. We use a list of referencing
1154# packages so that "make uninstall" will remove the file if and only if it
1155# is not used by another installed package.
1156# On systems with glibc-2.1 or newer, the file is redundant, therefore we
1157# avoid installing it.
1158
1159all-local: charset.alias ref-add.sed ref-del.sed
1160install-exec-local: all-local
1161	test $(GLIBC21) != no || $(mkinstalldirs) $(DESTDIR)$(libdir)
1162	if test -f $(charset_alias); then \
1163	  sed -f ref-add.sed $(charset_alias) > $(charset_tmp) ; \
1164	  $(INSTALL_DATA) $(charset_tmp) $(charset_alias) ; \
1165	  rm -f $(charset_tmp) ; \
1166	else \
1167	  if test $(GLIBC21) = no; then \
1168	    sed -f ref-add.sed charset.alias > $(charset_tmp) ; \
1169	    $(INSTALL_DATA) $(charset_tmp) $(charset_alias) ; \
1170	    rm -f $(charset_tmp) ; \
1171	  fi ; \
1172	fi
1173
1174uninstall-local: all-local
1175	if test -f $(charset_alias); then \
1176	  sed -f ref-del.sed $(charset_alias) > $(charset_tmp); \
1177	  if grep '^# Packages using this file: $$' $(charset_tmp) \
1178	      > /dev/null; then \
1179	    rm -f $(charset_alias); \
1180	  else \
1181	    $(INSTALL_DATA) $(charset_tmp) $(charset_alias); \
1182	  fi; \
1183	  rm -f $(charset_tmp); \
1184	fi
1185
1186charset.alias: config.charset
1187	rm -f t-$@ $@
1188	$(SHELL) $(srcdir)/config.charset '$(host)' > t-$@
1189	mv t-$@ $@
1190.sin.sed:
1191	rm -f t-$@ $@
1192	sed -e '/^#/d' -e 's/@''PACKAGE''@/$(PACKAGE)/g' $< > t-$@
1193	mv t-$@ $@
1194
1195# We need the following in order to create <stdbool.h> when the system
1196# doesn't have one that works.
1197stdbool.h: stdbool_.h
1198	rm -f $@-t $@
1199	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
1200	  sed -e 's/@''HAVE__BOOL''@/$(HAVE__BOOL)/g' < $(srcdir)/stdbool_.h; \
1201	} > $@-t
1202	mv $@-t $@
1203
1204# We need the following in order to create <stdint.h> when the system
1205# doesn't have one that works with the given compiler.
1206stdint.h: stdint_.h
1207	rm -f $@-t $@
1208	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
1209	  sed -e 's/@''HAVE_WCHAR_H''@/$(HAVE_WCHAR_H)/g' \
1210	      -e 's/@''HAVE_STDINT_H''@/$(HAVE_STDINT_H)/g' \
1211	      -e 's|@''ABSOLUTE_STDINT_H''@|$(ABSOLUTE_STDINT_H)|g' \
1212	      -e 's/@''HAVE_SYS_TYPES_H''@/$(HAVE_SYS_TYPES_H)/g' \
1213	      -e 's/@''HAVE_INTTYPES_H''@/$(HAVE_INTTYPES_H)/g' \
1214	      -e 's/@''HAVE_SYS_INTTYPES_H''@/$(HAVE_SYS_INTTYPES_H)/g' \
1215	      -e 's/@''HAVE_SYS_BITYPES_H''@/$(HAVE_SYS_BITYPES_H)/g' \
1216	      -e 's/@''HAVE_LONG_LONG_INT''@/$(HAVE_LONG_LONG_INT)/g' \
1217	      -e 's/@''HAVE_UNSIGNED_LONG_LONG_INT''@/$(HAVE_UNSIGNED_LONG_LONG_INT)/g' \
1218	      -e 's/@''BITSIZEOF_PTRDIFF_T''@/$(BITSIZEOF_PTRDIFF_T)/g' \
1219	      -e 's/@''PTRDIFF_T_SUFFIX''@/$(PTRDIFF_T_SUFFIX)/g' \
1220	      -e 's/@''BITSIZEOF_SIG_ATOMIC_T''@/$(BITSIZEOF_SIG_ATOMIC_T)/g' \
1221	      -e 's/@''HAVE_SIGNED_SIG_ATOMIC_T''@/$(HAVE_SIGNED_SIG_ATOMIC_T)/g' \
1222	      -e 's/@''SIG_ATOMIC_T_SUFFIX''@/$(SIG_ATOMIC_T_SUFFIX)/g' \
1223	      -e 's/@''BITSIZEOF_SIZE_T''@/$(BITSIZEOF_SIZE_T)/g' \
1224	      -e 's/@''SIZE_T_SUFFIX''@/$(SIZE_T_SUFFIX)/g' \
1225	      -e 's/@''BITSIZEOF_WCHAR_T''@/$(BITSIZEOF_WCHAR_T)/g' \
1226	      -e 's/@''HAVE_SIGNED_WCHAR_T''@/$(HAVE_SIGNED_WCHAR_T)/g' \
1227	      -e 's/@''WCHAR_T_SUFFIX''@/$(WCHAR_T_SUFFIX)/g' \
1228	      -e 's/@''BITSIZEOF_WINT_T''@/$(BITSIZEOF_WINT_T)/g' \
1229	      -e 's/@''HAVE_SIGNED_WINT_T''@/$(HAVE_SIGNED_WINT_T)/g' \
1230	      -e 's/@''WINT_T_SUFFIX''@/$(WINT_T_SUFFIX)/g' \
1231	      < $(srcdir)/stdint_.h; \
1232	} > $@-t
1233	mv $@-t $@
1234
1235mostlyclean-local: mostlyclean-generic
1236	@for dir in '' $(MOSTLYCLEANDIRS); do \
1237	  if test -n "$$dir" && test -d $$dir; then \
1238	    echo "rmdir $$dir"; rmdir $$dir; \
1239	  fi; \
1240	done
1241
1242# A small set of gnulib modules is needed here as well.
1243# Tell versions [3.59,3.63) of GNU make to not export all variables.
1244# Otherwise a system limit (for SysV at least) may be exceeded.
1245.NOEXPORT:
1246